<?php
if ( function_exists('register_sidebars') )

{     

register_sidebar(array('name' => 'Header Social Networking & Phone Number','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>')); 

register_sidebar(array('name' => 'Company Logo','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>')); 


register_sidebar(array('name' => 'Repair Services','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>'));  

register_sidebar(array('name' => 'appliance','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>'));  

register_sidebar(array('name' => 'Fotter Social Networking & Phone Number','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>'));  






} 

remove_filter('get_the_excerpt', 'wp_trim_excerpt');

add_filter('get_the_excerpt', 'custom_trim_excerpt');



remove_filter('get_the_excerpt', 'wp_trim_excerpt');

add_filter('get_the_excerpt', 'custom_trim_excerpt');



function custom_trim_excerpt($text) { // Fakes an excerpt if needed

global $post;

    if ( '' == $text ) {

        $text = get_the_content('');



        $text = strip_shortcodes( $text );



        $text = apply_filters('the_content', $text);

        $text = str_replace(']]>', ']]&gt;', $text);

        $text = strip_tags($text);

        $excerpt_length = apply_filters('excerpt_length', 90);

        $words = explode(' ', $text, $excerpt_length + 1);

        if (count($words) > $excerpt_length) {

            array_pop($words);

            array_push($words, '...');

            $text = implode(' ', $words);

        }

    }

    return $text;

}


function new_excerpt_length($length) {

return 10;
}
add_filter('excerpt_length', 'new_excerpt_length');

add_action('init', 'register_custom_menu');
 
function register_custom_menu() {
register_nav_menu('Header_Nav', __('header_menu'));


}
?>